#!/bin/bash
#
# chkconfig: - 85 15
# description: mt-daapd is a multi-threaded DAAP server for iTunes
# processname: mt-daapd
# pidfile: /var/run/mt-daapd
#

# source function library
. /etc/init.d/functions

prog="mt-daapd"
conf="/etc/$prog.conf"

PIDFILE=/var/run/$prog.pid
LOCKFILE=/var/lock/subsys/$prog

[ -f $conf ] || exit 0

RETVAL=0

start() {
	start_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" -- $prog -m -y -c $conf 
	RETVAL=$?
	return $RETVAL
}

stop() {
	stop_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" $prog
	RETVAL=$?
	return $RETVAL
}

case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	restart|reload)
		stop
		start
		RETVAL=$?
		;;
	condrestart)
		[ -e $LOCKFILE ] && $0 restart
		;;
	status)
		status --pidfile $PIDFILE
		RETVAL=$?
		;;
	*)
		echo $"Usage: $0 {start|stop|restart|condrestart|status}"
		exit 1
esac

exit $RETVAL

